petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMLocalToGlobalBegin

updates global vectors from local vectors

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMLocalToGlobalBegin(DM dm,Vec l,InsertMode mode,Vec g)

Neighbor-wise Collective on DM Many br

### Input Parameters

| dm | - the DM object Many br
| l | - the local vector Many br
| mode | - if INSERT_VALUES then no parallel communication is used, if ADD_VALUES then all ghost points from the same base point accumulate into that base point. Many br
| g | - the global vector Many br

Notes: In the ADD_VALUES case you normally would zero the receiving vector before beginning this operation. Many brINSERT_VALUES is not supported for DMDA, in that case simply compute the values directly into a global vector instead of a local one. Many br

Many br

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMGlobalToLocalEnd(), DMGlobalToLocalBegin()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html